Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.jacc
Class EJBRoleRefPermission

    java.lang.Object
      java.security.Permission
          javax.security.jacc.EJBRoleRefPermission

All Implemented Interfaces:
  Guard, Serializable

public final class EJBRoleRefPermission
extends Permission
implements Serializable

Class for EJB isCallerInRole (String reference) permissions. An EJBRoleRefPermission is a named permission and has actions. The name of an EJBRoleRefPermission contains the value of the ejb-name element in the application's deployment descriptor that identifies the EJB in whose context the permission is being evalutated. The actions of an EJBRoleRefPermission identifies the role reference to which the permission applies. An EJBRoleRefPermission is checked to determine if the subject is a member of the role identified by the reference. Implementations of this class MAY implement newPermissionCollection or inherit its implementation from the super class.

Version:
  $Revision: 1.3 $
Author:
  Scott.Stark@jboss.org, Ron Monzillo, Gary Ellison (javadoc)
See Also:
  Serialized Form

Constructor Summary
`EJBRoleRefPermission(String ejbName, String actions)` Creates a new EJBRoleRefPermission with the specified name and actions.

Method Summary
`boolean` | `equals(Object p)` Test an EJBRoleRefPermission for equality.
`String` | `getActions()`
`int` | `hashCode()`
`boolean` | `implies(Permission p)` Determines if the argument Permission is "implied by" this EJBRoleRefPermission.
`String` | `toString()` Returns a string describing this Permission.

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EJBRoleRefPermission

    public EJBRoleRefPermission(String ejbName,
                                String actions)

  Creates a new EJBRoleRefPermission with the specified name and actions.

Parameters:
  `ejbName` - - the ejb-name that identifies the EJB in whose context the role references are to be evaluated.
  `actions` - - identifies the role reference to which the permission pertains. The role reference is scoped to the EJB identified in the name parameter. The value of the role reference must not be null or the empty string.

Method Detail

### equals

    public boolean equals(Object p)

  Test an EJBRoleRefPermission for equality.

  Parameters:
    `p` -
  Returns:

### getActions

    public String getActions()

### hashCode

    public int hashCode()

### implies

    public boolean implies(Permission p)

  Determines if the argument Permission is "implied by" this EJBRoleRefPermission. For this to be the case, - The argument must be an instanceof EJBRoleRefPermission - with name equivalent to that of this EJBRoleRefPermission, and - with the role reference equivalent to that of this EJBRoleRefPermission applies. The name and actions comparisons described above are case sensitive.

  Parameters:
    `p` - - the EJBRoleRefPermission to test
  Returns:
    true if the specified permission is implied by this object, false otherwise.

### toString

    public String toString()

  Returns a string describing this Permission.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.